/*
 * Copyright (c) 2012-2014 Kaarle Ritvanen
 * See LICENSE file for license details
 */

define(
    ["aconf/dom", "aconf/widget/abstract/base", "jquery"],
    function(dom, Base, $) {
	return Base.extend({
	    staticRender: function(value, meta) {
		return $("<td>").html(dom.objectRef(value));
	    },

	    createEl: dom.href,

	    render: function(value, meta) { dom.objectRef(value, this.el) },

	    wrap: function() { return $("<td>").html(this.el); },
		    
	    get: function() { return {}; }
	});
    }
);
